#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configadvancedbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configadvancedbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigAdvancedBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigAdvancedBase::ConfigAdvancedBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigAdvancedBase" );
    ConfigAdvancedBaseLayout = new QVBoxLayout( this, 11, 6, "ConfigAdvancedBaseLayout"); 

    buttonGroup4 = new QButtonGroup( this, "buttonGroup4" );
    buttonGroup4->setLineWidth( 1 );
    buttonGroup4->setColumnLayout(0, Qt::Vertical );
    buttonGroup4->layout()->setSpacing( 6 );
    buttonGroup4->layout()->setMargin( 11 );
    buttonGroup4Layout = new QVBoxLayout( buttonGroup4->layout() );
    buttonGroup4Layout->setAlignment( Qt::AlignTop );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    defaultRegExpSysLogRadio = new QRadioButton( buttonGroup4, "defaultRegExpSysLogRadio" );
    defaultRegExpSysLogRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)4, 0, 0, defaultRegExpSysLogRadio->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( defaultRegExpSysLogRadio );

    textLabel2 = new QLabel( buttonGroup4, "textLabel2" );
    layout2->addWidget( textLabel2 );
    buttonGroup4Layout->addLayout( layout2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    defaultRegExpMetaLogRadio = new QRadioButton( buttonGroup4, "defaultRegExpMetaLogRadio" );
    layout3->addWidget( defaultRegExpMetaLogRadio );

    textLabel3 = new QLabel( buttonGroup4, "textLabel3" );
    layout3->addWidget( textLabel3 );
    buttonGroup4Layout->addLayout( layout3 );

    customRegExpRadio = new QRadioButton( buttonGroup4, "customRegExpRadio" );
    buttonGroup4Layout->addWidget( customRegExpRadio );

    customRegExpEdit = new QLineEdit( buttonGroup4, "customRegExpEdit" );
    customRegExpEdit->setEnabled( FALSE );
    buttonGroup4Layout->addWidget( customRegExpEdit );
    ConfigAdvancedBaseLayout->addWidget( buttonGroup4 );

    enableSoundsCheckBox = new QButtonGroup( this, "enableSoundsCheckBox" );
    enableSoundsCheckBox->setCheckable( TRUE );
    enableSoundsCheckBox->setChecked( TRUE );
    enableSoundsCheckBox->setColumnLayout(0, Qt::Vertical );
    enableSoundsCheckBox->layout()->setSpacing( 6 );
    enableSoundsCheckBox->layout()->setMargin( 11 );
    enableSoundsCheckBoxLayout = new QVBoxLayout( enableSoundsCheckBox->layout() );
    enableSoundsCheckBoxLayout->setAlignment( Qt::AlignTop );

    textLabel5 = new QLabel( enableSoundsCheckBox, "textLabel5" );
    enableSoundsCheckBoxLayout->addWidget( textLabel5 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    textLabel1_5 = new QLabel( enableSoundsCheckBox, "textLabel1_5" );
    layout8->addWidget( textLabel1_5 );

    soundPlayerEdit = new QLineEdit( enableSoundsCheckBox, "soundPlayerEdit" );
    layout8->addWidget( soundPlayerEdit );
    enableSoundsCheckBoxLayout->addLayout( layout8 );
    ConfigAdvancedBaseLayout->addWidget( enableSoundsCheckBox );
    spacer1 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigAdvancedBaseLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(364, 349).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( customRegExpRadio, SIGNAL( toggled(bool) ), customRegExpEdit, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigAdvancedBase::~ConfigAdvancedBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigAdvancedBase::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    buttonGroup4->setTitle( tr2i18n( "Regular expression" ) );
    defaultRegExpSysLogRadio->setText( tr2i18n( "&Syslog" ) );
    defaultRegExpSysLogRadio->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    textLabel2->setText( tr2i18n( "^([^:]+(?::\\d{&2}){2})\\s*(\\S*|\\S*\\s\\S*:)\\s*(.*)$" ) );
    defaultRegExpMetaLogRadio->setText( tr2i18n( "&Metalog" ) );
    defaultRegExpMetaLogRadio->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    textLabel3->setText( tr2i18n( "^([^:]+(?::\\d{2}){2})\\s\\[([^\\[]+)\\](.*)$" ) );
    customRegExpRadio->setText( tr2i18n( "Custom RegE&xp" ) );
    customRegExpRadio->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    enableSoundsCheckBox->setTitle( tr2i18n( "Enable sounds" ) );
    textLabel5->setText( tr2i18n( "Examples:\n"
"artsplay\n"
"aplay\n"
"mplayer -slave -identify" ) );
    textLabel1_5->setText( tr2i18n( "Sound player command:" ) );
    soundPlayerEdit->setText( tr2i18n( "artsplay" ) );
}

#include "configadvancedbase.moc"
